function imgFilt = filterCombination(img, mask, W)
    
I = img(:,:,2);
I = double(I);
IC = ContrastStretchNorm(I,0.12);


IC = normalize(IC);

MF = MatchFilterWithGaussDerivative(IC*255,1.5,5,8);
MF(mask==0) = 0;
MF = normalize(MF);

FR = FrangiFilter2D(IC*255);
FR(mask==0) = 0;
FR = normalize(FR);

GW = gaborWavelet(IC,5, 2, mask);
GW(mask==0) = 0;
GW = normalize(GW);

imgFilt = W(1) * MF + W(2) * FR + W(3) * GW + W(4) *(1-IC);
imgFilt(mask==0) = 0;
imgFilt = normalize(imgFilt);
       
   