function R = postProcessing(I,t)
               
    i_bwl = bwlabel(I,8);
    stats = regionprops(i_bwl,'Area', 'Perimeter','PixelList');

    idx = [];

    for n = 1:length(stats)
         s = stats(n).Area;
         p = stats(n).Perimeter;

         c = (p^2)/(4*pi*s);

         if(c > t)
            idx = [idx n]; 
         end
    end
    
    R = ismember(i_bwl, idx);
end