outputPath = 'results/';
addpath(genpath('frangi'));
addpath(genpath('soares'));
databasePath = 'D:\databases\DRIVE\test\images\';
for k=1:20
    
    imageName = strcat(databasePath,num2str(k,'%02d'),'_test.tif');
        
    img = imread(imageName);
    mask =  imread(strcat('D:\databases\DRIVE\test\mask\',num2str(k,'%02d'),'_test_mask.gif'));
    BW = weightedMeanByFCM(img, mask, [0.25 0.25 0.25 0.25]);
    outputFile = [num2str(k)  '.bmp'];
    imwrite(BW,[outputPath outputFile],'bmp');
end
