function imgFilt = weightedMean(img, mask, W)
    
greenChannel = img(:,:,2);
greenChannel = double(greenChannel);
% CS = ContrastStretchNorm(greenChannel,0.12);

CS = contrastStretching(greenChannel, [0 1]);


CS = normalize(CS);

MF = MatchFilterWithGaussDerivative(CS*255,1.5,5,8);
MF(mask==0) = 0;
MF = normalize(MF);

FR = FrangiFilter2D(CS*255);
FR(mask==0) = 0;
FR = normalize(FR);

GW = gaborWavelet(CS,5, 2, mask);
GW(mask==0) = 0;
GW = normalize(GW);

imgFilt = W(1) * MF + W(2) * FR + W(3) * GW + W(4) *(1-CS);
imgFilt(mask==0) = 0;
imgFilt = normalize(imgFilt);
       
   